在Windows Server 2008 R2 / Windows 7中无法安装capybara-webkit

我需要在安装Windows Server 2008 R2 x64上的Jenkins中运行testing,所以在没有“testing”的情况下运行软件包安装的build议不适合在这里。

我需要在Windows中安装capybara-webkit。 我收到的错误消息一如既往地包含本机扩展:

Installing capybara-webkit (0.12.0) with native extensions Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension. C:/Ruby193/bin/ruby.exe extconf.rb Gem files will remain installed in C:/Ruby193/lib/ruby/gems/1.9.1/gems/capybara-webkit-0.12.0 for inspection. Results logged to C:/Ruby193/lib/ruby/gems/1.9.1/gems/capybara-webkit-0.12.0/./gem_make.out 

原生QT组件似乎已安装(我已经下载了1,7 GB(!!!)分发包并安装它)。 增强PATH没有帮助。

DevKit也安装了。

Solutions Collecting From Web of "在Windows Server 2008 R2 / Windows 7中无法安装capybara-webkit"